
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "baskethead"
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "baskethead"

	actor[cp_actor_type]			= cat_block
	actor[cp_these_collide_with_me]	= cat_bullet + cat_crystal

	actor[cp_extra_collision_type]	= 1

	actor[cp_in_beastie_count]		= 0

	actor[cp_launch_scale_min]		= 100.0
	actor[cp_launch_scale_max]		= 100.0

	actor[cp_launch_anim_delay]		= 0.5

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "sway", 100.0, 100.0, 0.0, 0.0 )
	c_set_random_anim( "blink", 100.0, 100.0, 0.1, 1.0 )

--	c_add_particle_to_anim( "swallow", "spitbone", "baskethead-dribble" )	
	c_add_sound_to_anim( "swallow", "fruitdunk_baskethead_swallow", 1.0 )

